		var keyState = ScriptUI.environment.keyboardState;
		var alt,shift;
		alt= (keyState.altKey) ? true:false;
		shift= (keyState.shiftKey) ? true:false;
		addTrim(0,alt,shift);

		//trim function//
		function addTrim(mode,alt,offset){
			
			app.beginUndoGroup("Trim InOut");
			var myComp = app.project.activeItem;
			var seLayers=myComp.selectedLayers;
			
			//var copies =settingObj.copies;
			
			
			
			for(var i=0;i<seLayers.length;i++){
				SetTrim(seLayers[i],myComp,alt,offset);
			}
			app.endUndoGroup();

		}
		
		function SetTrim(seLayers,myComp,alt,offset){
			var frames =10;
			var offsetRange = 100;
			var EaseIn =50;
			var EaseOut = 50;
			
			var trim=seLayers.property("ADBE Root Vectors Group").addProperty("ADBE Vector Filter - Trim");
			var End=trim.property("End");
			var Start=trim.property("Start");
			var Offset=trim.property(3);
			
			//add key
			End.addKey(myComp.time);
			End.addKey(myComp.time+frames*myComp.frameDuration);
			Start.addKey(myComp.time+ 5* myComp.frameDuration);
			Start.addKey(myComp.time+frames*myComp.frameDuration);
			
			
			
			//set value
			var valueArr=[0,100];
			if(alt ==true){
				valueArr =valueArr.reverse();
				offsetRange *= -1;
			}
			
			End.setValueAtKey(1, valueArr[0]);
			End.setValueAtKey(2, valueArr[1]);
			Start.setValueAtKey(1, valueArr[0]);
			Start.setValueAtKey(2, valueArr[1]);
			
			//set ease
			var myKey = new KeyframeEase(0, 50);
			End.setTemporalEaseAtKey(2, [myKey],[myKey]); 
			Start.setTemporalEaseAtKey(1, [myKey],[myKey]); 
			
			if(offset ==true){
				Offset.addKey(myComp.time);
				Offset.addKey(myComp.time+frames*myComp.frameDuration);
				Offset.setValueAtKey(2, offsetRange);
				Offset.setTemporalEaseAtKey(1, [myKey],[myKey]); 
			}
			
		}